## Ridge Racer 6 Audio Extractor

*RR6AudioExtractor* is a tool to extract, convert, and repackage audio from Ridge Racer 6 audio packs.

### Requirements

- *RR6AudioExtractor* requires that you have Java SE 17 or higher installed to run. 
	- To install, download the latest JRE (recommended) or JDK from [Adoptium](https://adoptium.net/temurin/archive/?version=17), or JDK from [Oracle](https://www.oracle.com/java/technologies/downloads/#java17).

### Usage

Launch console interface
```
java -jar RR6AudioExtractor.java
```

Identify a file
```
java -jar RR6AudioExtractor.java identify <file>
```

Extract audio files from a RR6 audio pack (`BIN` → `WAV`/`XMA`)
```
java -jar RR6AudioExtractor.java extract <package file>
```

Convert audio files between supported formats (`WAV` ↔ `XMA` ↔ `FLAC`)
```
java -jar RR6AudioExtractor.java convert <audio file> <format>
```

Patch an audio file to repeat (`WAV`)
```
java - jar RR6AudioExtractor.java patch <audio file>
```

Pack audio files into a RR6 audio pack (`WAV`/`XMA` → `BIN`)
```
java -jar RR6AudioExtractor.java pack <audio directory>
```

Print a Ridge Racer 6 style ASCII logo
```
java -jar RR6AudioExtractor.java print <color> <text>
``` 

### About

*RR6AudioExtractor* is developed by [Nes](https://gitea.goblincave.synology.me/Nes).

### Referenced Libraries

*RR6AudioExtractor* makes use of several Java libraries:
- [Apache Commons Codec](https://commons.apache.org/proper/commons-codec/) v1.17.1
- [Apache Commons CSV](https://commons.apache.org/proper/commons-csv/) v1.11.0
- [Apache Commons IO](https://commons.apache.org/proper/commons-io/) v2.16.1
- [javaFlacEncoder](https://javaflacencoder.sourceforge.net/) v0.3.2
- [JColor](https://github.com/dialex/JColor) v5.5.1

### Recommended Software

- [*Xbox Image Browser*](https://digiex.net/threads/xbox-360-image-browser-2-9-0-350-xiso-browser-and-extractor.3136/) by Redline99
	- For extracting and replacing files from Xbox Disc Images (`ISO`).

